> For the complete documentation index, see [llms.txt](https://docs.chainargos.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chainargos.com/documentation/api/looker_api/look_query_multi.md).

# Running a look with several filters via API

Here we are going to run a look with modified filter values and retrieve the results. This demo uses [this Look](https://dashargos.chainargos.com/looks/729).

It is similar to the simple single-filter example we already covered. But adds both a) filter values as lists and b) multiple filters at once.

{% @github-files/github-code-block url="<https://github.com/ChainArgos/api-demos/blob/main/looker/look_query_multi/look_query_multi.py>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chainargos.com/documentation/api/looker_api/look_query_multi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
